<?php
/**
 * Plugin plxMySearch
 *
 * @version	1.0
 * @date	10/01/2012
 * @author	Stephane F
 **/
class plxMySearch extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# droits pour accèder à la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);

        # déclaration des hooks
        $this->addHook('plxMotorPreChauffageBegin', 'plxMotorPreChauffageBegin');
        $this->addHook('plxShowStaticListEnd', 'plxShowStaticListEnd');
		$this->addHook('plxShowPageTitle', 'plxShowPageTitle');
		$this->addHook('SitemapStatics', 'SitemapStatics');
		$this->addHook('MySearchForm', 'form');
    }

	/**
	 * Méthode de traitement du hook plxMotorPreChauffageBegin
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
    public function plxMotorPreChauffageBegin() {

		$template = $this->getParam('template')==''?'static.php':$this->getParam('template');

		$string = "
		if(\$this->get && preg_match('/^search\/?/',\$this->get)) {
			\$this->mode = 'search';
			\$this->cible = '../../plugins/plxMySearch/form';
			\$this->template = '".$template."';
			return true;
		}
		";

		echo "<?php ".$string." ?>";
    }

	/**
	 * Méthode de traitement du hook plxShowStaticListEnd
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
    public function plxShowStaticListEnd() {

		# infos sur la page statique
		$string  = "if(\$this->plxMotor->mode=='search') {";
		$string .= "	\$array = array();";
		$string .= "	\$array[\$this->plxMotor->cible] = array('name' => '".$this->getParam('mnuName')."', 'url' => 'search', 'readable' => 1, 'active' => 0);";
		$string .= "	\$this->plxMotor->aStats = array_merge(\$this->plxMotor->aStats, \$array);";
		$string .= "}";
		echo "<?php ".$string." ?>";
		# ajout du menu pour accèder à la page de recherche
		if($this->getParam('mnuDisplay')) {
			echo "<?php \$class = \$this->plxMotor->mode=='search'?'active':'noactive'; ?>";
			echo "<?php array_splice(\$menus, ".($this->getParam('mnuPos')-1).", 0, '<li><a class=\"static '.\$class.'\" href=\"'.\$this->plxMotor->urlRewrite('?search').'\">".$this->getParam('mnuName')."</a></li>'); ?>";
		}
    }

	/**
	 * Méthode qui rensigne le titre de la page dans la balise html <title>
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function plxShowPageTitle() {
		echo '<?php
			if($this->plxMotor->mode == "search") {
				echo plxUtils::strCheck($this->plxMotor->aConf["title"])." - ".plxUtils::strCheck($this->plxMotor->plxPlugins->aPlugins["plxMySearch"]["instance"]->getLang("L_PAGE_TITLE"));
				return true;
			}
		?>';
	}

	/**
	 * Méthode qui référence la page de recherche dans le sitemap
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function SitemapStatics() {
		if($this->getParam('mnuDisplay')) {
			echo '<?php
			echo "\n";
			echo "\t<url>\n";
			echo "\t\t<loc>".$plxMotor->urlRewrite("?search")."</loc>\n";
			echo "\t\t<changefreq>monthly</changefreq>\n";
			echo "\t\t<priority>0.8</priority>\n";
			echo "\t</url>\n";
			?>';
		}
	}

	/**
	 * Méthode statique qui affiche le formulaire de recherche
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public static function form($title=false) {

		# récuperation d'une instance de plxMotor
		$plxMotor = plxMotor::getInstance();
		$plxPlugin = $plxMotor->plxPlugins->getInstance('plxMySearch');
		$searchword = '';
		if(!empty($_POST['searchfield'])) {
			$searchword = strtolower(htmlspecialchars(trim($_POST['searchfield'])));
		}
	?>

<div class="searchform">
	<form action="<?php echo $plxMotor->urlRewrite('?search') ?>" method="post">
		<?php if($title) : ?>
		<p><?php $plxPlugin->lang('L_FORM_SEARCHFIELD') ?>&nbsp;:</p>
		<?php endif; ?>
		<p>
		<input type="text" class="searchfield" name="searchfield" value="<?php echo $searchword ?>" />
		<input type="submit" class="searchbutton" name="searchbutton" value="<?php $plxPlugin->lang('L_FORM_BUTTON') ?>" />
		</p>
	</form>
</div>

	<?php
	}
}
?>